Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class UnanalyzedQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.UnanalyzedQuery

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class UnanalyzedQuery
extends org.apache.lucene.search.Query

See Also:
  Serialized Form

Field Summary
`protected org.apache.lucene.search.TermQuery` | `tq`

Constructor Summary
`UnanalyzedQuery(org.apache.lucene.index.Term t)` Constructs a query for the term `t`.

Method Summary
`protected org.apache.lucene.search.Weight` | `createWeight(org.apache.lucene.search.Searcher searcher)`
`boolean` | `equals(java.lang.Object o)` Returns true iff `o` is equal to this.
`org.apache.lucene.index.Term` | `getTerm()` Returns the term of this query.
`int` | `hashCode()` Returns a hash code value for this object.
`java.lang.String` | `toString(java.lang.String field)` Prints a user-readable version of this query.

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, rewrite, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### tq

    protected org.apache.lucene.search.TermQuery tq

Constructor Detail

### UnanalyzedQuery

    public UnanalyzedQuery(org.apache.lucene.index.Term t)

  Constructs a query for the term `t`.

Method Detail

### getTerm

    public org.apache.lucene.index.Term getTerm()

  Returns the term of this query.

### createWeight

    protected org.apache.lucene.search.Weight createWeight(org.apache.lucene.search.Searcher searcher)
                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString(java.lang.String field)

  Prints a user-readable version of this query.

### equals

    public boolean equals(java.lang.Object o)

  Returns true iff `o` is equal to this.

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.